{config, ...}:
{
  nixpkgs.config.permittedInsecurePackages = [
    "olm-3.2.16"
  ];
  services.mautrix-whatsapp = {
    enable = true;
    registerToSynapse = true;
    settings = {
      appservice.database = {
        type = "sqlite3";
        uri = "/var/lib/mautrix-whatsapp/mautrix-whatsapp.db";
      };
      homeserver = {
        address = "http://localhost:8008";
        domain = "tristans.cloud";
      };
      bridge = {
        permissions = {
          "tristans.cloud" = "user";
          "@tristan:tristans.cloud" = "admin";
        };
        encryption = {
          allow = true;
          appservice = false;
        };
        personal_filtering_spaces = true;
      };
    };
  };
}
